Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.ehealth.technicalconnector.config.impl
Class RecursiveProperties

    java.lang.Object
      java.util.Dictionary<K,V>
          java.util.Hashtable<Object,Object>
              java.util.Properties
                  be.ehealth.technicalconnector.config.impl.RecursiveProperties

All Implemented Interfaces:
  Serializable, Cloneable, Map<Object,Object>

    public class RecursiveProperties

extends Properties

`Properties` with lookup features for property resolutions

- `RecursiveLookup`
: Replacing the placeholder ${ `String` with the value of the property inside the placeholder.
- `UddiLookup`:Replacing the placehlolder $uddi{ `String` with the corresponding UDDI entry.
- `SystemLookup`: Replacing the placeholder $system{`String` with the corresponding `System.getProperty(String)`

See Also:
  Serialized Form

Method Summary
`String` | `getProperty(String key)`
`String` | `getProperty(String key, String defaultValue)`
`Enumeration<Object>` | `keys()`

Methods inherited from class java.util.Properties
`list, list, load, load, loadFromXML, propertyNames, save, setProperty, store, store, storeToXML, storeToXML, stringPropertyNames`

Methods inherited from class java.util.Hashtable
`clear, clone, contains, containsKey, containsValue, elements, entrySet, equals, get, hashCode, isEmpty, keySet, put, putAll, remove, size, toString, values`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Method Detail

### keys

    public Enumeration<Object> keys()

  Overrides:
    `keys` in class `Hashtable<Object,Object>`

### getProperty

    public String getProperty(String key,
                              String defaultValue)

  Overrides:
    `getProperty` in class `Properties`

### getProperty

    public String getProperty(String key)

  Overrides:
    `getProperty` in class `Properties`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPRACTICALNURSE 3.24.0-beta-4 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.